Arbor 3: FSM & BT Graph Editor 3.7.8

Public Member Functions | Static Public Member Functions | List of all members
ListAccessor Class Referenceabstract

Access IList<> generated at runtime. More...

Inherited by ListAccessorAOT.

## Public Member Functions
abstract object | NewList ()
| Create a List instance. More...
abstract object | GetElement (object instance, int index)
| Get an element. More...
abstract object | SetElement (object instance, int index, object element, ListInstanceType instanceType)
| Set the element. More...
abstract object | AddElement (object instance, object element, ListInstanceType instanceType)
| Add an element. More...
abstract object | InsertElement (object instance, int index, object element, ListInstanceType instanceType)
| Insert an element. More...
abstract object | RemoveElement (object instance, object element, ListInstanceType instanceType)
| Remove an element. More...
abstract object | RemoveAtIndex (object instance, int index, ListInstanceType instanceType)
| Remove an element. More...
abstract object | Clear (object instance, ListInstanceType instanceType)
| Remove all elements. More...
abstract bool | Contains (object instance, object element)
| To determine if it contains elements. More...
abstract int | Count (object instance)
| Get the number of elements. More...
abstract int | IndexOf (object instance, object element)
| Gets the index where the element is stored. More...
abstract int | IndexOf (object instance, object element, int startIndex)
| Gets the index where the element is stored. More...
abstract int | IndexOf (object instance, object element, int startIndex, int count)
| Gets the index where the element is stored. More...
abstract int | LastIndexOf (object instance, object element)
| Search the index where the element is stored from the end. More...
abstract int | LastIndexOf (object instance, object element, int startIndex)
| Search the index where the element is stored from the end. More...
abstract int | LastIndexOf (object instance, object element, int startIndex, int count)
| Search the index where the element is stored from the end. More...
abstract bool | EqualsList (object a, object b)
| Determine if IList<T> are equal. More...
abstract object | ToArray (object instance)
| Convert to an array. More...
abstract object | ToList (object instance)
| Convert to List. More...

## Static Public Member Functions
static ListAccessor | Get (System.Type elementType)
| Get ListAccessor of specified element type. More...

## Detailed Description

Access IList<> generated at runtime.

## Member Function Documentation

## ◆ AddElement()

abstract object AddElement | ( | object | instance,
|  | object | element,
|  | ListInstanceType | instanceType
| ) |  |
| pure virtual

Add an element.

Parameters

  instance | Instance of type IList<elementType>
  element | The element to add
  instanceType | How to change the instance

Returns
  The resulting instance of the change

## ◆ Clear()

abstract object Clear | ( | object | instance,
|  | ListInstanceType | instanceType
| ) |  |
| pure virtual

Remove all elements.

Parameters

  instance | Instance of type IList<elementType>
  instanceType | How to change the instance

Returns
  The resulting instance of the change

## ◆ Contains()

abstract bool Contains | ( | object | instance,
|  | object | element
| ) |  |
| pure virtual

To determine if it contains elements.

Parameters

  instance | Instance of type IList<elementType>
  element | Element

Returns
  rReturns true if it contains.

## ◆ Count()

abstract int Count | ( | object | instance | ) |
| pure virtual

Get the number of elements.

Parameters

  instance | Instance of type IList<elementType>

Returns
  Element count

## ◆ EqualsList()

abstract bool EqualsList | ( | object | a,
|  | object | b
| ) |  |
| pure virtual

Determine if IList<T> are equal.

Parameters

  a | IList<T> to judge
  b | IList<T> to judge

Returns
  Returns true if they are equal.

## ◆ Get()

static ListAccessor Get | ( | System.Type | elementType | ) |
| static

Get ListAccessor of specified element type.

Parameters

  elementType | Element type

Returns
  ListAccessor to access IList<elementType>

## ◆ GetElement()

abstract object GetElement | ( | object | instance,
|  | int | index
| ) |  |
| pure virtual

Get an element.

Parameters

  instance | Instance of type IList<elementType>
  index | Index

Returns
  returns the element stored at index

## ◆ IndexOf() [1/3]

abstract int IndexOf | ( | object | instance,
|  | object | element
| ) |  |
| pure virtual

Gets the index where the element is stored.

Parameters

  instance | Instance of type IList<elementType>
  element | Element

Returns
  The index where the element is stored. Returns -1 if there is no element.

## ◆ IndexOf() [2/3]

abstract int IndexOf | ( | object | instance,
|  | object | element,
|  | int | startIndex
| ) |  |
| pure virtual

Gets the index where the element is stored.

Parameters

  instance | Instance of type IList<elementType>
  element | Element
  startIndex | Start index

Returns
  The index where the element is stored. Returns -1 if there is no element.

## ◆ IndexOf() [3/3]

abstract int IndexOf | ( | object | instance,
|  | object | element,
|  | int | startIndex,
|  | int | count
| ) |  |
| pure virtual

Gets the index where the element is stored.

Parameters

  instance | Instance of type IList<elementType>
  element | Element
  startIndex | Start index
  count | Count

Returns
  The index where the element is stored. Returns -1 if there is no element.

## ◆ InsertElement()

abstract object InsertElement | ( | object | instance,
|  | int | index,
|  | object | element,
|  | ListInstanceType | instanceType
| ) |  |
| pure virtual

Insert an element.

Parameters

  instance | Instance of type IList<elementType>
  index | Index
  element | The element to insert
  instanceType | How to change the instance

Returns
  The resulting instance of the change

## ◆ LastIndexOf() [1/3]

abstract int LastIndexOf | ( | object | instance,
|  | object | element
| ) |  |
| pure virtual

Search the index where the element is stored from the end.

Parameters

  instance | Instance of type IList<elementType>
  element | Element

Returns
  The index where the element is stored. Returns -1 if there is no element.

## ◆ LastIndexOf() [2/3]

abstract int LastIndexOf | ( | object | instance,
|  | object | element,
|  | int | startIndex
| ) |  |
| pure virtual

Search the index where the element is stored from the end.

Parameters

  instance | Instance of type IList<elementType>
  element | Element
  startIndex | Start index

Returns
  The index where the element is stored. Returns -1 if there is no element.

## ◆ LastIndexOf() [3/3]

abstract int LastIndexOf | ( | object | instance,
|  | object | element,
|  | int | startIndex,
|  | int | count
| ) |  |
| pure virtual

Search the index where the element is stored from the end.

Parameters

  instance | Instance of type IList<elementType>
  element | Element
  startIndex | Start index
  count | Count

Returns
  The index where the element is stored. Returns -1 if there is no element.

## ◆ NewList()

abstract object NewList | ( |  | ) |
| pure virtual

Create a List instance.

Returns
  List instance

## ◆ RemoveAtIndex()

abstract object RemoveAtIndex | ( | object | instance,
|  | int | index,
|  | ListInstanceType | instanceType
| ) |  |
| pure virtual

Remove an element.

Parameters

  instance | Instance of type IList<elementType>
  index | Index
  instanceType | How to change the instance

Returns
  The resulting instance of the change

## ◆ RemoveElement()

abstract object RemoveElement | ( | object | instance,
|  | object | element,
|  | ListInstanceType | instanceType
| ) |  |
| pure virtual

Remove an element.

Parameters

  instance | Instance of type IList<elementType>
  element | The element to remove
  instanceType | How to change the instance

Returns
  The resulting instance of the change

## ◆ SetElement()

abstract object SetElement | ( | object | instance,
|  | int | index,
|  | object | element,
|  | ListInstanceType | instanceType
| ) |  |
| pure virtual

Set the element.

Parameters

  instance | Instance of type IList<elementType>
  index | Index
  element | The element to set
  instanceType | How to change the instance

Returns
  The resulting instance of the change

## ◆ ToArray()

abstract object ToArray | ( | object | instance | ) |
| pure virtual

Convert to an array.

Parameters

  instance | Instance of type IList<elementType>

Returns
  Array of conversion results

## ◆ ToList()

abstract object ToList | ( | object | instance | ) |
| pure virtual

Convert to List.

Parameters

  instance | Instance of type IList<elementType>

Returns
  List of conversion results